#ifndef ZGRAPHICSHPP
#define ZGRAPHICSHPP

#include <fg.h>

enum COLOR_TYPE {BLACK = 0,
		 BRIGHT = 8,
		 RED = 4,
		 GREEN = 2,
		 BLUE = 1,
		 GRAY = RED + GREEN + BLUE,
		 YELLOW = RED + GREEN,
		 CYAN = BLUE + GREEN,
		 MAGENTA = RED + BLUE,
		 BRIGHT_RED = BRIGHT + RED,
		 BRIGHT_GREEN = BRIGHT + GREEN,
		 BRIGHT_BLUE = BRIGHT + BLUE,
		 WHITE = BRIGHT + GRAY,
		 BRIGHT_YELLOW = BRIGHT + YELLOW,
		 BRIGHT_CYAN = BRIGHT + CYAN,
		 BRIGHT_MAGENTA = BRIGHT + MAGENTA
};

enum LINE_STYLE {SOLID_LINE, DASHED_LINE, DOTTED_LINE};


typedef struct box_type {
  int x1, y1, x2, y2;
} BOX_TYPE;


class Graphics{

public:

	Graphics();
	void DrawDot(COLOR_TYPE, int x, int y);
	void DrawBox(COLOR_TYPE, LINE_STYLE, BOX_TYPE*);
	void DrawCircle(COLOR_TYPE, LINE_STYLE, int, int, int);

	void DrawLine(COLOR_TYPE, LINE_STYLE, BOX_TYPE*);
	void FillBox(COLOR_TYPE, BOX_TYPE*);
	void FillCircle(COLOR_TYPE, int, int, int);
	void PutString(COLOR_TYPE, int x, int y, char*);
	int FontWidth();
	int FontHeight();
	int ScreenWidth();
	int ScreenHeight();
	void Terminate();
	~Graphics();
};

extern Graphics* GraphicsHandler;

#endif


